# Manuale utente di meinproc6

08/05/2014
Frameworks 5.0
KDE Frameworks

meinproc6
1

# `meinproc6`

Traduttore per &XML; di &kde;

## Sinossi

    meinproc6 -h, --help -v, --version --cache file --check --srcdir cartella --param chiave=valore   -o --output  file  --stdout --stylesheet xsl file_docbook

## Descrizione

`meinproc6` converte i file DocBook in &HTML;.

## Opzioni generiche

`-h``--help`

  Mostra la guida sulle opzioni.

`-v``--version`

  Mostra le informazioni sulla versione.

## Opzioni dell'applicazione

`--cache` `file`

  Crea un file di cache per il documento.

`--check`

  Controlla la validità del documento.

      L'output può essere un po' confuso, perché un errorino può causare una cascata di errori.
      Il trucco è cercare il primo errore, correggerlo, salvare il file, e far ripartire meinproc6.

`-o`, `--output` `file`

  Metti l'intero documento su `file`.

`--stdout`

  Metti l'intero documento sul flusso stdout.

`--stylesheet` `xsl`

  Foglio di stile da usare.

`--srcdir` `cartella`

  Imposta la cartella radice in cui cercare kdoctools.

`--param` chiave=valore

  Imposta i parametri da passare al foglio di stile.

## Uso

Il modo più comune di eseguire `meinproc6` è semplicemente come

    meinproc6 file_docbook

dove file_docbook è di solito `index.docbook`. Questo comando crea pagine &HTML; dal file DocBook. Nota che queste pagine sono visibili solo in browser basati su &kde; (come &konqueror;).

Se devi vedere il risultato &HTML; in un altro browser (per esempio, se lo metti in rete), usa

    meinproc6 --stylesheet nome_foglio_di_stile file_docbook

where nome_foglio_di_stile è il percorso completo a uno dei fogli di stile &XSL; in `<kdoctools_installation_prefix>/share/kf5/kdoctools/customization`. Per produrre documenti adatti al Web, puoi usare `kde-web.xsl` o `kde-chunk-online.xsl`. Vedi il file `README` in quella cartella per maggiori dettagli.

## Vedi anche

kf6options(7), qt6options(7)

## Bug

Usa il sito di gestione dei bug di &kde; per segnalarli.